libgimpprint API Reference: channel.h File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/channel.h File Reference

Go to the source code of this file.

## Functions
void | stp_channel_reset (stp_vars_t *v)
void | stp_channel_reset_channel (stp_vars_t *v, int channel)
void | stp_channel_add (stp_vars_t *v, unsigned channel, unsigned subchannel, double value)
void | stp_channel_set_density_adjustment (stp_vars_t *v, int color, int subchannel, double adjustment)
void | stp_channel_set_ink_limit (stp_vars_t *v, double limit)
void | stp_channel_set_cutoff_adjustment (stp_vars_t *v, int color, int subchannel, double adjustment)
void | stp_channel_set_black_channel (stp_vars_t *v, int channel)
void | stp_channel_initialize (stp_vars_t *v, stp_image_t *image, int input_channel_count)
void | stp_channel_convert (const stp_vars_t *v, unsigned *zero_mask)
unsigned short * | stp_channel_get_input (const stp_vars_t *v)
unsigned short * | stp_channel_get_output (const stp_vars_t *v)

## Function Documentation

void stp_channel_add | ( | stp_vars_t * | v,
|  | unsigned | channel,
|  | unsigned | subchannel,
|  | double | value
| ) |

| Definition at line 144 of file channel.c. References stpi_channel_group_t::black_channel, stpi_channel_group_t::c, stpi_channel_group_t::channel_count, stpi_subchannel_t::cutoff, stpi_subchannel_t::s_density, stpi_channel_t::sc, stp_allocate_component_data(), stp_get_component_data(), stp_realloc(), stp_vars_t, stp_zalloc(), stpi_channel_free(), stpi_channel_t::subchannel_count, and stpi_subchannel_t::value. Referenced by olympus_do_print(), ps_print_internal(), raw_print(), and stp_dither_set_inks_full().

void stp_channel_convert | ( | const stp_vars_t * | v,
|  | unsigned * | zero_mask
| ) |

| Definition at line 446 of file channel.c. References stpi_channel_group_t::black_channel, stpi_channel_group_t::c, stpi_channel_group_t::channel_count, clear_channel(), stpi_channel_group_t::data, stpi_channel_group_t::input_channels, stpi_channel_group_t::input_data, input_needs_splitting(), limit_ink(), stpi_channel_t::lut, mem_eq(), stpi_subchannel_t::s_density, stpi_channel_t::sc, scale_channel(), scan_channel(), STP_CHANNEL_LIMIT, stp_get_component_data(), stp_vars_t, stpi_channel_t::subchannel_count, stpi_channel_group_t::total_channels, and stpi_channel_group_t::width. Referenced by stpi_color_traditional_get_row().

unsigned short* stp_channel_get_input | ( | const stp_vars_t * | v | ) |

| Definition at line 588 of file channel.c. References stpi_channel_group_t::input_data, stp_get_component_data(), and stp_vars_t. Referenced by ps_print_internal(), raw_print(), and stpi_color_traditional_get_row().

unsigned short* stp_channel_get_output | ( | const stp_vars_t * | v | ) |

| Definition at line 596 of file channel.c. References stpi_channel_group_t::data, stp_get_component_data(), and stp_vars_t. Referenced by olympus_do_print(), olympus_get_cached_output(), and stp_dither().

void stp_channel_initialize | ( | stp_vars_t * | v,
|  | stp_image_t * | image,
|  | int | input_channel_count
| ) |

| Definition at line 257 of file channel.c. References stpi_channel_group_t::black_channel, stpi_channel_group_t::c, stpi_channel_group_t::channel_count, stpi_subchannel_t::cutoff, stpi_channel_group_t::data, stpi_channel_group_t::initialized, stpi_channel_group_t::input_channels, stpi_channel_group_t::input_data, input_needs_splitting(), stpi_channel_t::lut, stpi_channel_group_t::max_density, stpi_subchannel_t::s_density, stpi_channel_t::sc, stp_allocate_component_data(), stp_get_component_data(), stp_image_t, stp_image_width(), stp_malloc(), stp_vars_t, stp_zalloc(), stpi_channel_free(), stpi_channel_t::subchannel_count, stpi_channel_group_t::total_channels, stpi_subchannel_t::value, and stpi_channel_group_t::width. Referenced by initialize_channels().

void stp_channel_reset | ( | stp_vars_t * | v | ) |

| Definition at line 105 of file channel.c. References stp_get_component_data(), stp_vars_t, and stpi_channel_clear(). Referenced by olympus_do_print(), ps_print_internal(), and raw_print().

void stp_channel_reset_channel | ( | stp_vars_t * | v,
|  | int | channel
| ) |

| Definition at line 114 of file channel.c. References clear_a_channel(), stp_get_component_data(), and stp_vars_t. Referenced by stp_dither_set_inks_full().

void stp_channel_set_black_channel | ( | stp_vars_t * | v,
|  | int | channel
| ) |

| Definition at line 216 of file channel.c. References stpi_channel_group_t::black_channel, STP_DBG_INK, stp_dprintf(), stp_get_component_data(), and stp_vars_t. Referenced by setup_inks().

void stp_channel_set_cutoff_adjustment | ( | stp_vars_t * | v,
|  | int | color,
|  | int | subchannel,
|  | double | adjustment
| ) |

| Definition at line 225 of file channel.c. References stpi_subchannel_t::cutoff, get_channel(), STP_DBG_INK, stp_dprintf(), and stp_vars_t. Referenced by setup_inks().

void stp_channel_set_density_adjustment | ( | stp_vars_t * | v,
|  | int | color,
|  | int | subchannel,
|  | double | adjustment
| ) |

| Definition at line 182 of file channel.c. References get_channel(), stpi_subchannel_t::s_density, STP_DBG_INK, stp_dprintf(), stp_get_string_parameter(), and stp_vars_t. Referenced by set_ink_ranges(), and setup_inks().

void stp_channel_set_ink_limit | ( | stp_vars_t * | v,
|  | double | limit
| ) |

| Definition at line 206 of file channel.c. References stpi_channel_group_t::ink_limit, STP_DBG_INK, stp_dprintf(), stp_get_component_data(), and stp_vars_t. Referenced by initialize_channels().